<template>
    <div>
        <breadcrumb-component title="Grupos de produtos" :pages="breadPages"/>

        <panel-component title="Editar grupos de produtos" length="6">

            <form-category :formData="formData" :isUpdate="true"></form-category>

        </panel-component>
    </div>
</template>

<script>
    import FormProductCategoryComponent from './FormProductCategoryCoponent'

    export default {
        props: {
            id: {
                require: true
            }
        },

        components: {
            FormCategory: FormProductCategoryComponent
        },

        data() {
            return {
                formData: {
                    id: '',
                    name: '',
                },

                breadPages: [
                    {link: 'dashboard', name: 'Dashboard', active: false},
                    {link: 'product-categories', name: 'Grupos de produtos', active: false},
                    {link: 'product-categories.edit', name: 'Editar', active: true},
                ]
            }
        },

        created() {
            this.$store.dispatch('loadProductCategory', this.id)
                .then(response => {
                    this.formData = response.category
                })
                .catch(() => {
                    this.$snotify.error('Grupo não encontrada', '404')
                    this.$router.push({name: 'product-categories'})
                })
        }
    }
</script>